Track an event occuring within a business
curl --request POST \
--url https://api.pocketflows.com/businesses/{id}/track \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "<string>",
"data": {}
}
'import requests
url = "https://api.pocketflows.com/businesses/{id}/track"
payload = {
"event": "<string>",
"data": {}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({event: '<string>', data: {}})
};
fetch('https://api.pocketflows.com/businesses/{id}/track', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Events
Track an event occuring within a business
POST
/
businesses
/
{id}
/
track
Track an event occuring within a business
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the business
Body
application/json
Response
200 - application/json
HTTP status acknowledging the event was properly received
The response is of type object.
⌘I